Subject: [PATCH v2 16/18] ARM: OMAP: Enable PCI for DRA7

From: [email-masked] (Will Deacon)
Date: Thu, 29 May 2014 18:54:07 +0100

On Thu, May 29, 2014 at 06:52:14PM +0100, Rob Herring wrote:
> On Thu, May 29, 2014 at 1:38 AM, Kishon Vijay Abraham I <[email-masked]> wrote:
> > Now that we have added PCIe driver for DRA7 SOCs, enable PCI on
> > DRA7 SOCs.
> >
> > Cc: Tony Lindgren <[email-masked]>
> > Cc: Rob Herring <[email-masked]>
> > Cc: Pawel Moll <[email-masked]>
> > Cc: Mark Rutland <[email-masked]>
> > Cc: Kumar Gala <[email-masked]>
> > Signed-off-by: Kishon Vijay Abraham I <[email-masked]>
> > ---
> >  arch/arm/mach-omap2/Kconfig |    2 ++
> >  1 file changed, 2 insertions(+)
> >
> > diff --git a/arch/arm/mach-omap2/Kconfig b/arch/arm/mach-omap2/Kconfig
> > index cb31d43..b179e80 100644
> > --- a/arch/arm/mach-omap2/Kconfig
> > +++ b/arch/arm/mach-omap2/Kconfig
> > @@ -75,6 +75,8 @@ config SOC_DRA7XX
> >         select ARM_GIC
> >         select HAVE_ARM_ARCH_TIMER
> >         select IRQ_CROSSBAR
> > +       select MIGHT_HAVE_PCI
> 
> I believe we moved or intend to move this under MULTI_PLATFORM, so you
> don't need this. Will D. had a patch, but I don't think I saw a final
> version to merge.

I posted it earlier this week for somebody in arm-soc to pick up (although I
don't think they have done yet):

  http://lists.infradead.org/pipermail/linux-arm-kernel/2014-May/260238.html

Will